<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tongji.pintu.backend.userservice.mapper.UserInformationMapper">

    <select id="getInformation" parameterType="INTEGER" resultType="com.tongji.pintu.backend.userservice.domain.UserInformation">
        select * from user_information
        where user_id = #{userId,jdbcType=INTEGER}
    </select>

    <update id="updateInformation" parameterType="com.tongji.pintu.backend.userservice.domain.UserInformation">
        update user_information
        set name = #{name,jdbcType=VARCHAR},
                                    profile_photo_url = #{profilePhotoUrl,jdbcType=VARCHAR},
                                    sexual = #{sexual,jdbcType=INTEGER},
                                    university = #{university,jdbcType=VARCHAR},
                                    college = #{college,jdbcType=VARCHAR},
                                    major = #{major,jdbcType=VARCHAR},
                                    introduction = #{introduction,jdbcType=VARCHAR},
                                    age = #{age,jdbcType=INTEGER},
                                    phone_number = #{phoneNumber,jdbcType=VARCHAR},
                                    education = #{education,jdbcType=VARCHAR}
        where user_id = #{userId,jdbcType=INTEGER}
    </update>


</mapper>